You are not logged in.

#1 2021-02-19 14:09:40

DarkWarrior703
Member
Registered: 2021-01-13
Posts: 14

[Solved]I can't play Minecraft 1.8.9

I tried all the possible versions of JDK, the open ones and the Oracles ones but it doesn't work. Also I tried other launchers and modified versions of 1.8.9. I tried Java 8, but it doesn't work. 1.16 works at intended.

Last edited by DarkWarrior703 (2021-02-20 13:23:25)

Offline

#2 2021-02-19 14:17:50

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 13,267

Re: [Solved]I can't play Minecraft 1.8.9

Doesn't work isn't an error message

What exactly did you try how did you start it what kind of output do you get if you try from a terminal, is this still an Artix installation?

Last edited by V1del (2021-02-19 14:18:43)

Offline

#3 2021-02-19 14:24:42

DarkWarrior703
Member
Registered: 2021-01-13
Posts: 14

Re: [Solved]I can't play Minecraft 1.8.9

V1del wrote:

Doesn't work isn't an error message

What exactly did you try how did you start it what kind of output do you get if you try from a terminal, is this still an Artix installation?

Minecraft launcher starts as usually with minecraft-launcher, no it's not an Artix installation. After I start Minecraft 1.8.9, it stops, turns back to the launcher and then displays Exit Code 0.

Offline

#4 2021-02-19 14:43:28

nick_0189
Member
Registered: 2020-12-21
Posts: 23

Re: [Solved]I can't play Minecraft 1.8.9

I know the launcher is usually started from a GUI menu, but you'll get more feedback if you start it from a terminal. So do that and tell us what it says.
You could also give a link to a pastebin containing the last chunk of lines from the log after the game crashes. That might be helpful.

A few things I would think to try looking into:
Are you using mods?
Is it just version 1.8.9? Download another version and try it.
There are multiple Minecraft Launchers in the AUR. Which one are you using?
Have you updated your computer? Have you updated the launcher specifically?
Are you by chance out of space on your partition? I had a similar thing happen to me once and the cause was a lack of HDD space.

Offline

#5 2021-02-19 15:19:48

Awebb
Member
Registered: 2010-05-06
Posts: 5,834

Re: [Solved]I can't play Minecraft 1.8.9

1.8 is ancient. 1.8.x was during the transition from Java 7 to Java 8. 1.8.2 had a bug that made ir impossible to load worlds on Java 8 created with Java 7. Try Java 7.

Offline

#6 2021-02-19 17:01:25

DarkWarrior703
Member
Registered: 2021-01-13
Posts: 14

Re: [Solved]I can't play Minecraft 1.8.9

Awebb wrote:

1.8 is ancient. 1.8.x was during the transition from Java 7 to Java 8. 1.8.2 had a bug that made ir impossible to load worlds on Java 8 created with Java 7. Try Java 7.

I tried Java 7 as well. It just says Game Crashed nothing more. I've started minecraft-launcher from the terminal and it didn't print something unusual. I went and I am reading that every time it crashes.
I posted the content of the log there:
https://rentry.co/nwibe
I deleted all the other versions of Java, only kept Java 7.

Offline

#7 2021-02-19 17:09:35

progandy
Member
Registered: 2012-05-17
Posts: 4,425

Re: [Solved]I can't play Minecraft 1.8.9

 [Info: 2021-02-19 16:58:07.705072103: GameCallbacks.cpp(162)] Launcher/launcher (main) Info Exception in thread "main" java.lang.UnsupportedClassVersionError: net/minecraft/launchwrapper/Launch : Unsupported major.minor version 52.0

The error means that at least some of the code you are trying to run is compiled with java8 and requires that version to run.

Having 52.0 as major/minor versions is java8 according to http://webcode.lemme.at/2017/09/27/java … r-version/

Last edited by progandy (2021-02-19 17:11:06)


| alias CUTF='LANG=en_XX.UTF-8@POSIX ' |

Online

#8 2021-02-19 18:36:12

DarkWarrior703
Member
Registered: 2021-01-13
Posts: 14

Re: [Solved]I can't play Minecraft 1.8.9

progandy wrote:
 [Info: 2021-02-19 16:58:07.705072103: GameCallbacks.cpp(162)] Launcher/launcher (main) Info Exception in thread "main" java.lang.UnsupportedClassVersionError: net/minecraft/launchwrapper/Launch : Unsupported major.minor version 52.0

The error means that at least some of the code you are trying to run is compiled with java8 and requires that version to run.

Having 52.0 as major/minor versions is java8 according to http://webcode.lemme.at/2017/09/27/java … r-version/

I uninstalled all the other java version and installed java8. Now I get this https://rentry.co/frp3w .

Offline

#9 2021-02-19 18:40:56

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 13,267

Re: [Solved]I can't play Minecraft 1.8.9

Reads like broken OpenGL what's your output for

glxinfo -B #Needs mesa-demos

are you on wayland? Try on xorg.

Offline

#10 2021-02-19 18:53:49

DarkWarrior703
Member
Registered: 2021-01-13
Posts: 14

Re: [Solved]I can't play Minecraft 1.8.9

V1del wrote:

Reads like broken OpenGL what's your output for

glxinfo -B #Needs mesa-demos

are you on wayland? Try on xorg.

name of display: :0
display: :0  screen: 0
direct rendering: Yes
Extended renderer info (GLX_MESA_query_renderer):
    Vendor: AMD (0x1002)
    Device: Radeon RX 590 Series (POLARIS10, DRM 3.40.0, 5.10.16-zen1-1-zen, LLVM 11.1.0) (0x67df)
    Version: 20.3.4
    Accelerated: yes
    Video memory: 8192MB
    Unified memory: no
    Preferred profile: core (0x1)
    Max core profile version: 4.6
    Max compat profile version: 4.6
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 3.2
Memory info (GL_ATI_meminfo):
    VBO free memory - total: 7911 MB, largest block: 7911 MB
    VBO free aux. memory - total: 8081 MB, largest block: 8081 MB
    Texture free memory - total: 7911 MB, largest block: 7911 MB
    Texture free aux. memory - total: 8081 MB, largest block: 8081 MB
    Renderbuffer free memory - total: 7911 MB, largest block: 7911 MB
    Renderbuffer free aux. memory - total: 8081 MB, largest block: 8081 MB
Memory info (GL_NVX_gpu_memory_info):
    Dedicated video memory: 8192 MB
    Total available memory: 16384 MB
    Currently available dedicated video memory: 7911 MB
OpenGL vendor string: AMD
OpenGL renderer string: Radeon RX 590 Series (POLARIS10, DRM 3.40.0, 5.10.16-zen1-1-zen, LLVM 11.1.0)
OpenGL core profile version string: 4.6 (Core Profile) Mesa 20.3.4
OpenGL core profile shading language version string: 4.60
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile

OpenGL version string: 4.6 (Compatibility Profile) Mesa 20.3.4
OpenGL shading language version string: 4.60
OpenGL context flags: (none)
OpenGL profile mask: compatibility profile

OpenGL ES profile version string: OpenGL ES 3.2 Mesa 20.3.4
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.20

There it is. I'm on Xorg.

Last edited by DarkWarrior703 (2021-02-19 18:55:21)

Offline

#11 2021-02-20 03:26:29

voxal
Member
Registered: 2021-02-20
Posts: 1

Re: [Solved]I can't play Minecraft 1.8.9

Try running

archlinux-java status

and output what it says. Using

java-8-openjdk

makes Minecraft 1.8.9 work for me.

Offline

#12 2021-02-20 13:23:08

DarkWarrior703
Member
Registered: 2021-01-13
Posts: 14

Re: [Solved]I can't play Minecraft 1.8.9

So I found the solution, I was running Xrandr with a special mode, because my monitor is 75Hz and xrandr doesn't start it by default. Changing the mode to the default one repaired the game.

Offline

#13 2021-02-20 14:33:43

Awebb
Member
Registered: 2010-05-06
Posts: 5,834

Re: [Solved]I can't play Minecraft 1.8.9

Wow, that was sort of random. Congrats for finding it.

Offline

Board footer

Powered by FluxBB